"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = require("react");
var _marked = require("marked");
var _Parser = _interopRequireDefault(require("../lib/Parser"));
var _Renderer = _interopRequireDefault(require("../lib/Renderer"));
var _styles = _interopRequireDefault(require("./../theme/styles"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const useMarkdown = (value, options) => {
  const styles = (0, _react.useMemo)(() => (0, _styles.default)(options?.styles, options?.colorScheme, options?.theme), [options?.styles, options?.theme, options?.colorScheme]);
  const parser = (0, _react.useMemo)(() => new _Parser.default({
    styles: styles,
    baseUrl: options?.baseUrl,
    renderer: options?.renderer ?? new _Renderer.default()
  }), [options?.renderer, options?.baseUrl, styles]);
  const elements = (0, _react.useMemo)(() => {
    const tokens = _marked.marked.lexer(value, {
      gfm: true,
      tokenizer: options?.tokenizer
    });
    return parser.parse(tokens);
  }, [value, parser, options?.tokenizer]);
  return elements;
};
var _default = exports.default = useMarkdown;
//# sourceMappingURL=useMarkdown.js.map