"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _useMarkdown = _interopRequireDefault(require("../hooks/useMarkdown"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const Markdown = ({
  value,
  flatListProps,
  theme,
  baseUrl,
  renderer,
  styles,
  tokenizer
}) => {
  const colorScheme = (0, _reactNative.useColorScheme)();
  const rnElements = (0, _useMarkdown.default)(value, {
    theme,
    baseUrl,
    renderer,
    colorScheme,
    styles,
    tokenizer
  });
  const renderItem = (0, _react.useCallback)(({
    item
  }) => {
    return item;
  }, []);
  const keyExtractor = (0, _react.useCallback)((_, index) => index.toString(), []);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.FlatList, {
    removeClippedSubviews: false,
    keyExtractor: keyExtractor,
    maxToRenderPerBatch: 8,
    initialNumToRender: 8,
    style: {
      backgroundColor: colorScheme === "light" ? "#ffffff" : "#000000"
    },
    ...flatListProps,
    data: rnElements,
    renderItem: renderItem
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(Markdown);
//# sourceMappingURL=Markdown.js.map